from PIL import Image, ImageDraw


def testScreen(x=1280, y=720, image=None, stripeList = ["lightgrey", "yellow", "cyan", "lightgreen", "magenta", "red", "blue"]):
    if image == None:
        image = Image.new("RGB", (x, y))

    draw = ImageDraw.Draw(image)

    for i, stripe in enumerate(stripeList):
        draw.rectangle((
            (x/len(stripeList)) * i, 0,
            (x/len(stripeList)) * (i + 1), x),
            fill=stripe)
    
    draw.rectangle((
        0, y - (y/3),
        x, y),
        fill="black")

    for i, stripe in enumerate(stripeList):
        if i % 2 != 0:
            _fill = "black"
        else:
            _fill = stripeList[len(stripeList) - i - 1]

        draw.rectangle((
            (x/len(stripeList)) * i, y - (y/3.1),
            (x/len(stripeList)) * (i + 1), y - (y/4.9)),
            fill=_fill)

        draw.rectangle((
            (x/(len(stripeList)/4)), y - (y/5.3),
            (0), y),
            fill="darkblue")

        draw.rectangle((
            (x/(len(stripeList)/2)), y - (y/5.3),
            (x/(len(stripeList)/1)), y),
            fill="white")

    return image


if __name__ == '__main__':
    testScreen().save('Test-Pattern.png')
